### Hierarchy

- WebCryptoSha2Hash

### Implements

- Sha2Hash

## Index

### Constructors

- constructor

### Properties

- subtleCrypto

### Methods

- digest

## Constructors

### constructor

- new WebCryptoSha2Hash(subtleCrypto: SubtleCrypto): WebCryptoSha2Hash

- - Defined in encryption/sha2Hash.ts:26

  #### Parameters

  - ##### subtleCrypto: SubtleCrypto

  #### Returns WebCryptoSha2Hash

## Properties

### subtleCrypto

subtleCrypto: SubtleCrypto

- Defined in encryption/sha2Hash.ts:26

## Methods

### digest

- digest(data: NodeJS.TypedArray, algorithm?: string): Promise<Buffer>

- - Defined in encryption/sha2Hash.ts:32

  #### Parameters

  - ##### data: NodeJS.TypedArray

  - ##### Default value algorithm: string = "sha256"

  #### Returns Promise<Buffer>

Generated using TypeDoc